<template>
    <div>
        <router-link :to="'/post/' + id + '/' + userEmail">
            <h2>{{ title }}</h2>
        </router-link>
        <div class="author">author:
            <!-- <p v-if="typeof user.uuid === 'undefined'">
            {{ userEmail }}
        </p> -->
            <router-link v-if="typeof user.uuid !== 'undefined' && user.email !== userEmail"
                :to="`/communicator/` + userEmail">
                <UserCard class="user-card" :email="userEmail" />    
            </router-link>
            <p v-if="typeof user.uuid !== 'undefined' && user.email === userEmail">
                <UserCard class="user-card" :email="userEmail" />
            </p>
            <a v-if="typeof user.uuid === 'undefined'" style="cursor: pointer;" @click="redirectToLogin">
                <UserCard class="user-card" :email="userEmail" /></a>
        </div>
        <div class="created">
            {{ props.created.toLocaleDateString() }}
            {{ props.created.toLocaleTimeString() }}
        </div>
    </div>
</template>
<script setup lang="ts">

import { storeToRefs } from 'pinia';
import { useStore } from '../stores/';
import useEmitter from '../composables/useEmitter';

import UserCard from './UserCard.vue';

interface Props {
    id: number;
    title: string,
    created: Date,
    userEmail: string
}
const props = defineProps<Props>();

const store = useStore();
const { user } = storeToRefs(store);
const emitter = useEmitter();
function redirectToLogin() {
    emitter.emit('login-before-talk', { author: props.userEmail });
}

</script>
<style scoped lang="scss">
.author {
    display: flex;
    flex-direction: row;
    justify-content: right;
}
.author,
.created {
    text-align: right;
}
.user-card {
    padding-left: 10px;
}
</style>